
.body_connexinscri
{
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-family: Arial, Helvetica, sans-serif;
    color: white;
    cursor: default;
    margin: 0px;
    padding: 0px;
    background-color: rgb(224, 237, 255);
}


.body_connexinscri .parentConnexInscri
{
    position: fixed;
    overflow-y: auto;
    overflow-x: hidden;
    display: flex;
    width: 100%;
    height: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
}

.parentConnexInscri::-webkit-scrollbar
{
    background-color: rgb(224, 237, 255);
    width: 22px;
}

.parentConnexInscri::-webkit-scrollbar-thumb
{
    background-color: grey;
    border: 6px solid rgb(224, 237, 255);
    border-radius: 15px;
}

#connexion_inscription
{
    margin: auto auto;
    width: 600px;
    height: 600px;
    padding-top: 30px;
    text-align: center;
    display: flex;
    flex-direction: column;
    color: black;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 15px;
    background-color: rgba(250, 250, 250, 1);
}

.formBloc
{
    width: 100%;
    height: 100%;
}

*, ::before, ::after 
{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

.formBloc h3 
{
    color: #08124d;
    font-weight: 900;
}

.formBloc h3 
{
    color: rgb(11, 3, 83);
    font-size: 28px;
    font-weight: 500;
    margin-top: 40px;
    margin-bottom: 50px;
}

.formBloc .formGroupe 
{
    position: relative;
    display: flex;
    margin-bottom: 30px;
}

.formBloc .formGroupe label 
{
    position: absolute;
    cursor: pointer;
    margin-left: 12%;
    padding: 0 10px 0 10px;
    top: 55%;
    left: 0px;
    transform: translateY(-9px);
    background-color: rgb(250, 250, 250);
    color: #aaa;
    font-size: 20px;
    transition: 0.2s ease-in-out;
}

.formBloc .formGroupe input
{
    display: block;
    width: 80%;
    height: 60px;
    padding: 10px 10px;
    border: none;
    outline: none;
    background: none;
    border: 3px solid #aaa;
    border-radius: 5px;
    color: #08124d;
    resize: none;
    padding-top: 15px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    transition: border-color .2s ease-out;
}

.formBloc .formGroupe .connexion
{
    margin-top: 2%;
    margin-left: 10%;
}

.Inscri:nth-child(5) 
{
    margin-bottom: 65px;
    justify-content: center;
}

.Connex:nth-child(5)
{
    margin-bottom: 65px;
    justify-content: center;
}

.formBloc .mdpPerdu  
{
    color: #bbb;
    font-size: 16px;
    font-weight: 400;
    text-decoration: none;
    margin-top: -30px;
}

.formBloc .mdpPerdu a:hover, .formBloc .inscri a:hover 
{
    color: #05115a;
}

/* Animation */


.formGroupe .connexDiv .buttonSub 
{
    --c: rgb(5, 7, 122);
    color: var(--c);
    font-size: 16px;
    background-color: rgb(227, 237, 252);
    border: none;
    border-radius: 0.5em;
    width: 12em;
    height: 3em;
    text-transform: uppercase;
    font-weight: bold;
    position: relative;
    overflow: hidden;
    z-index: 1;
    transition: 0.5s;
    cursor: pointer;
    transition: transform .2s ease-out;
    transition: all .2s;
}

.connexSub
{
    margin-top: 45px;
}

.buttonSub:hover
{
    transform: scale(1.2);
    transition: transform .2s ease-out;
}

.formGroupe .connexDiv .buttonSub span 
{
    position: absolute;
    width: 25%;
    height: 100%;
    background-color: var(--c);
    transform: translateY(150%);
    border-radius: 50%;
    left: calc((var(--n) - 1) * 25%);
    transition: 0.5s;
    transition-delay: calc((var(--n) - 1) * 0.1s);
    z-index: -1;
}

.formGroupe .connexDiv .buttonSub:hover 
{
    color: white;
    transition: all .3s ease-out;
    border: none;
}

.formGroupe .connexDiv .buttonSub:hover span 
{
    transform: translateY(0) scale(2);
}

.formGroupe .connexDiv .buttonSub span:nth-child(1) 
{
    --n: 1;
}

.formGroupe .connexDiv .buttonSub span:nth-child(2) 
{
    --n: 2;
}

.formGroupe .connexDiv .buttonSub span:nth-child(3) 
{
    --n: 3;
}

.formGroupe .connexDiv .buttonSub span:nth-child(4) 
{
    --n: 4;
}

a
{
    text-decoration: none;
    color: #aaa;
}

.inscri
{
    margin-top: -20px;
}

@media screen and (max-width : 600px)
{
    #connexion_inscription
    {
        box-shadow: none;
        border-radius: 0;
        background-color: white;
    }
    .formBloc .formGroupe label
    {
        background-color: white;
        transform: translateY(-11px);
    }
    .parentConnexInscri
    {
        background-color: white;
    }
    
    .parentConnexInscri::-webkit-scrollbar
    {
        background-color: rgb(255, 255, 255);
        width: 22px;
    }

    .parentConnexInscri::-webkit-scrollbar-thumb
    {
        border: 6px solid rgb(255, 255, 255);
        border-radius: 15px;
    }
}

@media screen and (max-width : 350px)
{
    .formBloc .formGroupe label
    {
        transform: translateY(-11px);
    }
}

.connexDiv a{
    color: #000000;
    text-decoration: underline;
}


/* Bandeau Cookies */
.cookies
{
    position: fixed;
    background-color: rgba(34, 34, 34, 0.8);
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
    z-index: 300;
    overflow-y: auto;
}

.cookies::-webkit-scrollbar
{
    background-color: rgb(255, 255, 255);
    width: 22px;
}

.cookies::-webkit-scrollbar-thumb
{
    background-color: rgb(221, 221, 221);
    border: 6px solid rgb(255, 255, 255);
    border-radius: 15px;
}

.cookiesChild
{
    width: 500px;
    padding: 15px;
    height: 500px;
    margin: auto 0;
    background-color: #fff;
    border-radius: 20px;
    font-family: 'Roboto', sans-serif;
    color: #444;
}

.cookiesChild h2
{
    margin: 0;
}

.cookiesChild header
{
    display: flex;
    justify-content: space-between;
    position: relative;
    width: 100%;
    height: 30px;
}

.cookiesChild header form
{
    min-height: 30px;
}

.cookiesChild footer
{
    width: 100%;
    display: flex;
    justify-content: center;
}

.cookiesChild footer form
{
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

#btn-1{
    background-color: white;
    color: #0b57d0;
}

#btn-2{
    background-color: #0b57d0;
    color: white;
}

.cookiesChild footer button
{
    width: 90%;
    height: 50px;
    cursor: pointer;
    text-transform: uppercase;
    font-family: inherit;
    font-weight: bold;
    font-size: 16px;
    border-radius: 10px;
    outline: none;
    border: none;
}

.cookiesChild footer button:hover
{
    background-color: #0a43a0;
}

.cookiesChild footer button:active
{
    background-color: #0b3880;
}

.cookiesChild .mainCookiesChild
{
    height: calc(100% - 80px);
}

@media screen and (max-width: 500px)
{
    .cookiesChild
    {
        width: 100%;
        border-radius: 0;
    }
}
/* FIN BANDEAU COOKIES */